Page MenuHomePhabricator

Turn on -addr-sink-using-gep by default.
ClosedPublic

Authored by efriedma on Mar 3 2017, 4:33 PM.

Details

Summary

The new codepath has been in the tree for years, and there isn't any reason to have two codepaths here, as far as I know.

Diff Detail

Repository
rL LLVM

Event Timeline

efriedma created this revision.Mar 3 2017, 4:33 PM
arsenm edited edge metadata.Mar 13 2017, 11:53 AM

Switching the default seems OK to me, but I'm not sure about ripping out the old path at the same time

efriedma updated this revision to Diff 91929.Mar 15 2017, 1:58 PM
efriedma retitled this revision from Turn on -addr-sink-using-gep unconditionally. to Turn on -addr-sink-using-gep by default..

Keep old codepath for now.

arsenm accepted this revision.Mar 21 2017, 11:57 AM

LGTM

This revision is now accepted and ready to land.Mar 21 2017, 11:57 AM
This revision was automatically updated to reflect the committed changes.